Bug 124863 - Grip creates /var/log/messages storms when disk missing
Summary: Grip creates /var/log/messages storms when disk missing
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grip   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-31 16:02 UTC by Scott R. Godin
Modified: 2014-03-17 02:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 23:09:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott R. Godin 2004-05-31 16:02:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
I'm surprised no one has mentioned this earlier, but it's very obvious
if you watch your logfiles. 

Eject a cd from a running grip and /var/log/messages starts receiving
complaints that the drive is not ready, that by all appearances will
go on forever until you either insert another disk or quit grip. 

There has to be a better way to do this, other than the present, which
results are very very messy log-wise. 

Version-Release number of selected component (if applicable):
grip-3.0.7-3

How reproducible:
Always

Steps to Reproduce:
1. start grip with a disk in the drive
2. open an xterm and tail -f /var/log/messages
3. eject the disk via grip's interface but do not quit grip
    

Actual Results:  May 30 13:32:09 pcp01723902pcs kernel: sr0: CDROM not
ready.  Make sure there is a disc in the drive.
May 30 13:32:40 pcp01723902pcs last message repeated 31 times
May 30 13:33:41 pcp01723902pcs last message repeated 61 times
May 30 13:34:42 pcp01723902pcs last message repeated 61 times
May 30 13:35:43 pcp01723902pcs last message repeated 61 times
May 30 13:36:00 pcp01723902pcs last message repeated 17 times
...etc ad infinitum

Expected Results:  none (or only one) of the above :) 

Additional info:

Comment 1 Bill Nottingham 2004-06-01 05:10:31 UTC
Hm, I suppose grip should check errors better. Those come from the
kernel; apparently grip just sends commands eternally.

Comment 2 Bill Nottingham 2005-02-04 23:09:46 UTC
grip is no longer shipped in the development tree; as such, it is unlikely older
bugs will be fixed.


Note You need to log in before you can comment on or make changes to this bug.